# arch - マシンアーキテクチャの表示

## 使用法（SYNOPSIS）

```
arch [オプション]
```


## 説明（DESCRIPTION）

現在のマシンのアーキテクチャを表示します。

* 既定では、PySH 内部の `SYSINFO` から統一されたアーキテクチャ情報を取得します。
* `--raw` を使用すると、システムの `arch` コマンドを呼び出して、生のアーキテクチャ文字列を取得します。


## オプション（OPTIONS）

* `--raw` システムの `arch` コマンドから生のアーキテクチャ文字列を取得します。
* `-h, --help` このヘルプメッセージを表示します。


## 使用例（EXAMPLES）

PySH 内部の SYSINFO から正規化されたアーキテクチャを表示：

```shell
$ arch
Architecture: x86_64
```

システムの `arch` コマンドから生のアーキテクチャ文字列を取得：

```shell
$ arch --raw
Architecture (raw): i386
```


## 備考（NOTES）

* 内部アーキテクチャは正規化されており、生のシステム結果とは若干異なる場合があります。
* このコマンドは、Apple Silicon と Intel Mac のようなクロスプラットフォーム環境を識別するのに役立ちます。
