# cd - カレントディレクトリを変更する

## 使用法（SYNOPSIS）

```
cd [パス]
```


## 説明（DESCRIPTION）

カレント（現在の作業）ディレクトリを変更します。

* `cd`
  ユーザーのホームディレクトリに移動します。

* `cd ~`
  ホームディレクトリへのショートカットです。

* `cd -`
  直前の作業ディレクトリに切り替えます。

* `cd /path`
  絶対パスまたは相対パスで指定された場所に移動します。


## 使用例（EXAMPLES）

ホームディレクトリに移動：

```shell
$ cd
```

ホームディレクトリ配下の `Projects` フォルダに移動：

```shell
$ cd ~/Projects
```

前回アクセスしたディレクトリに戻る：

```shell
$ cd -
```

システムの一時ディレクトリに移動：

```shell
$ cd /tmp
```


## 備考（NOTES）

* `cd` コマンドは `$PWD` および `$OLDPWD` の両方を更新します。
* チルダ `~` は、現在のユーザーのホームディレクトリとして展開されます。
