# export - 環境変数を設定または更新する

## 使用法（SYNOPSIS）

```shell
export VAR=value [VAR2=value2 ...]
```


## 説明（DESCRIPTION）

シェルの環境変数を設定または更新します。

* 1 回のコマンドで複数のキーと値を設定可能；
* キーは英字、アンダースコア、または中国語の文字で始まる必要があります；
* 値は空であってはなりません。


## 使用例（EXAMPLES）

基本的な環境変数を設定：

```shell
$ export USERNAME=alice
```

複数の変数を一度に設定：

```shell
$ export LANG="en_US.UTF-8" PS1="[admin@localhost ~]$ "
```


## 備考（NOTES）

* `_ENV__` で始まるキーは**保護済み**：一度設定すると変更できません；
* 一部のシステム定義キー（シェルの初期化で使用されるものなど）は変更できません；
* `PS1` を設定するとプロンプトが更新され、ANSI エスケープシーケンスもサポートされます；
* 不正な形式（例：`=` がない、値が空など）は警告付きで無視されます。
