# machinfo - 詳細なマシン情報を表示

## 使用法（SYNOPSIS）

```shell
machinfo [--json] [--short]
```


## 説明（DESCRIPTION）

包括的なマシン／システム情報を表示します。

* プラットフォーム、CPU、メモリ、ディスク、GPU の詳細を表示；
* デフォルト出力は、アイコンや装飾付きのセクション構成されたリッチなレイアウト；
* コンパクトな要約形式や構造化された JSON 形式もサポートします。


## オプション（OPTIONS）

* `--json`
  フォーマット済み JSON としてマシン情報を出力します。

* `--short`
  1 行で簡潔に要約された情報を出力します。


## 使用例（EXAMPLES）

デフォルト形式でマシン情報を表示：

```shell
$ machinfo
```

1 行の簡易サマリを表示：

```shell
$ machinfo --short
```

JSON 形式で生のマシン情報を出力：

```shell
$ machinfo --json
```


## 備考（NOTES）

* このコマンドは `get_sysinfo()` を通じて内部のシステムメタデータを収集します；
* 各フィールドの有無や正確性は、実行環境によって異なる場合があります。
