# sleep - 指定された秒数だけ実行を一時停止

## 使用法（SYNOPSIS）

```shell
sleep SECONDS [--quiet] [--countdown=TEXT] [--done=TEXT]
```


## 説明（DESCRIPTION）

指定された秒数だけシェルの実行を一時停止します。

* 正の整数として秒数を受け取ります；
* デフォルトではカウントダウンタイマーを表示します；
* `--quiet` を使うとカウントダウン出力を抑制できます；
* `--countdown=TEXT` でカウントダウン中のメッセージをカスタマイズできます；
* `--done=TEXT` で完了時のメッセージをカスタマイズできます。


## オプション（OPTIONS）

* `--quiet`
  カウントダウン表示を抑制し、静かに待機します。

* `--countdown=TEXT`
  カスタムカウントダウンメッセージを設定します。`{i}` プレースホルダは残り秒数に置き換えられます。

* `--done=TEXT`
  カウントダウン終了時に表示するメッセージを設定します。


## 使用例（EXAMPLES）

カウントダウン付きで 3 秒待機：

```shell
$ sleep 3
```

出力なしで 5 秒待機：

```shell
$ sleep 5 --quiet
```

カスタムカウントダウンと完了メッセージの使用：

```shell
$ sleep 3 --countdown="⌛ {i}..." --done="✅ 完了！"
```


## 備考（NOTES）

* 引数が指定されていない、または正の整数でない場合はエラーになります；
* カウントダウンは `\r` を使って行を上書きします。TTY 非対応の環境では出力が異なる場合があります；
* `--countdown` の `{i}` は残り秒数に置き換えられます。
