# uname - システムの基本情報を表示

## 使用法（SYNOPSIS）

```shell
uname [options]
```


## 説明（DESCRIPTION）

内部の `SYSINFO` を使用して現在のシステム情報を表示します。

* デフォルトでは、オペレーティングシステム名のみを表示します；
* フラグを指定することで、ハードウェアアーキテクチャやカーネルバージョンなどを個別に出力できます。


## オプション（OPTIONS）

* `-a`, `--all`
  利用可能なすべてのシステム情報を 1 行で表示します。

* `-m`, `--machine`
  ハードウェアアーキテクチャを表示します（例：`x86_64`、`arm64`）。

* `-r`, `--kernel-version`
  カーネルのリリースバージョンを表示します。

* `-s`, `--kernel-name`
  オペレーティングシステム名を表示します（例：`Linux`、`Darwin`）。


## 使用例（EXAMPLES）

OS 名のみを表示（デフォルト）：

```shell
$ uname
```

すべての情報を表示：

```shell
$ uname -a
```

アーキテクチャのみを表示：

```shell
$ uname -m
```

カーネルバージョンのみを表示：

```shell
$ uname -r
```

明示的に OS 名を表示：

```shell
$ uname -s
```


## 備考（NOTES）

* すべてのシステムデータは、内部環境変数 `$SYSINFO` から取得されます；
* 不明なフラグが指定された場合、警告メッセージが表示されます。
