# which - コマンドの所在を特定し、ソースを表示

## 使用法（SYNOPSIS）

```shell
which COMMAND [COMMAND2 ...]
```


## 説明（DESCRIPTION）

指定されたコマンドの由来を特定します。

* コマンドが **シェルの組み込み** である場合、それが明示されます；
* **エイリアス** の場合は、展開された実体が表示されます；
* それ以外は、システムの `PATH` を検索して外部実行ファイルの場所を特定します。


## 使用例（EXAMPLES）

組み込みコマンドの場所を特定：

```shell
$ which cd
```

エイリアスの場所を特定：

```shell
$ which ll
```

外部プログラムの場所を特定：

```shell
$ which python
```

複数のコマンドを一度にチェック：

```shell
$ which clear cd echo
```


## 備考（NOTES）

* 組み込みコマンドとエイリアスは、シェル内部のロジックで解決されます；
* その他の名前は、システムの `PATH` に基づいて解決されます；
* コマンドが見つからない場合は、警告が表示されます。
