# exit - 현재 셸 세션 종료

## 사용법

    exit [코드]


## 설명

현재 셸 세션을 종료합니다.

- 종료 코드가 제공되지 않으면 셸은 코드 `0`으로 종료됩니다.
- 숫자 코드가 주어지면 프로세스의 종료 상태로 사용됩니다.


## 예제

기본 상태 `0`으로 셸을 종료합니다.

```shell
$ exit
```

상태 코드 `42`로 셸을 종료합니다.

```shell
$ exit 42
```


## 참고사항

- 0이 아닌 종료 코드는 일반적으로 실패나 비정상적인 종료를 나타내는 데 사용됩니다.
- 종료 코드는 셸을 실행한 부모 프로세스나 스크립트에서 확인할 수 있습니다.
- 다음 입력도 사용자 편의를 위해 허용됩니다:

    ```shell
    $ quit
    $ quit()
    $ exit()
    $ Ctrl+D   (End-of-file / EOF)
    ```
    별도로 지정하지 않으면 이들은 `exit 0`으로 해석됩니다.
