# export - 환경 변수 설정 또는 업데이트

## 사용법

    export VAR=값 [VAR2=값2 ...]

## 설명

셸 환경 변수를 설정하거나 업데이트합니다.

- 단일 명령으로 여러 키-값 쌍 설정을 지원합니다.
- 키는 문자, 밑줄 또는 한자로 시작해야 합니다.
- 값은 비어있지 않아야 합니다.


## 예제

기본 환경 변수를 설정합니다.

```shell
$ export USERNAME=alice
```

여러 변수를 한 번에 설정합니다.

```shell
$ export LANG="en_US.UTF-8" PS1="[admin@localhost ~]$ "
```


## 참고사항

- `_ENV__`로 시작하는 키는 **보호됨**: 한 번 설정되면 수정할 수 없습니다.
- 특정 시스템 정의 키(예: 셸 부트스트랩의 키)는 불변입니다.
- `PS1`을 설정하면 셸 프롬프트가 업데이트되며 ANSI 이스케이프 시퀀스를 지원합니다.
- 잘못된 형식(예: `=` 누락 또는 빈 값)은 경고와 함께 무시됩니다.
