# printf - C 스타일 플레이스홀더를 사용하여 텍스트 형식화 및 출력

## 사용법

    printf 형식 [인수...]


## 설명

C 스타일 플레이스홀더를 사용하여 형식화된 출력을 인쇄합니다.

- `%s`, `%d`, `%f`, `%x` 등과 같은 플레이스홀더를 지원합니다.
- 형식 문자열과 인수 모두 이스케이프 시퀀스(예: `\n`, `\t`)를 지원합니다.
- 자동으로 개행이 추가되지 않습니다(`echo`와 달리)


## 기능

- 형식 문자열이 C의 `printf`처럼 파싱되고 해석됩니다
- 각 인수는 해당하는 플레이스홀더와 매칭됩니다
- 형식과 값 모두에서 이스케이프 시퀀스를 지원합니다
- 문자열, 정수, 부동소수점, 16진수 등 모든 일반적인 타입을 지원합니다


## 예제

기본 사용법:

```shell
$ printf "Hello, %s!" World
Hello, World!$ 
```

정수와 부동소수점 형식화:

```shell
$ printf "읽지 않은 메시지가 %d개 있고 %.2f GB를 사용 중입니다." 5 13.27
읽지 않은 메시지가 5개 있고 13.27 GB를 사용 중입니다.$ 
```

이스케이프 시퀀스를 사용한 여러 줄 출력:

```shell
$ printf "이름:\t%s\n나이:\t%d\n" Alice 30
이름:   Alice
나이:    30
$ 
```


## 참고사항

- `\n`, `\t`, `\\`와 같은 이스케이프 시퀀스는 자동으로 디코딩됩니다.
- 인수 개수가 플레이스홀더 개수와 일치하지 않으면 추가 인수는 무시되고, 누락된 인수는 형식화 오류를 일으킬 수 있습니다.
- `echo`와 달리 `printf`는 형식에 명시적으로 포함되지 않는 한 개행을 추가하지 **않습니다**.
