# uname - 기본 시스템 정보 표시

## 사용법

    uname [옵션]


## 설명

내부 `SYSINFO`를 사용하여 현재 시스템에 대한 정보를 표시합니다.

- 기본적으로 운영체제 이름만 표시합니다.
- 플래그를 사용하면 머신 아키텍처, 커널 버전 등을 선택적으로 출력할 수 있습니다.


## 옵션

- `-a`, `--all`  
  사용 가능한 모든 시스템 정보를 한 줄에 출력합니다.

- `-m`, `--machine`  
  하드웨어 아키텍처를 표시합니다 (예: `x86_64`, `arm64`).

- `-r`, `--kernel-version`  
  커널 릴리스 버전을 표시합니다.

- `-s`, `--kernel-name`  
  운영체제 이름을 표시합니다 (예: `Linux`, `Darwin`).


## 예제

OS 이름만 표시합니다(기본값).

```shell
$ uname
```

사용 가능한 모든 정보를 표시합니다.

```shell
$ uname -a
```

아키텍처만 표시합니다.

```shell
$ uname -m
```

커널 버전만 표시합니다.

```shell
$ uname -r
```

OS 이름을 명시적으로 표시합니다.

```shell
$ uname -s
```


## 참고사항

- 모든 시스템 데이터는 내부 환경 변수 `$SYSINFO`에서 가져옵니다.
- 알 수 없는 플래그는 경고 메시지를 생성합니다.
