# which - 명령어 위치 찾기 및 소스 표시

## 사용법

    which 명령어 [명령어2 ...]


## 설명

주어진 명령어의 소스를 확인합니다.

- 명령어가 **셸 내장 명령어**인 경우 그렇게 표시됩니다.
- **별칭**인 경우 확장 대상이 표시됩니다.
- 그렇지 않으면 시스템 PATH를 검색하여 외부 실행 파일을 찾습니다.


## 예제

내장 명령어 위치 찾기.

```shell
$ which cd
```

별칭 위치 찾기.

```shell
$ which ll
```

외부 프로그램 위치 찾기.

```shell
$ which python
```

여러 명령어를 한 번에 확인하기.

```shell
$ which clear cd echo
```


## 참고사항

- 내장 명령어와 별칭은 내부 셸 로직을 통해 해석됩니다.
- 다른 모든 이름은 시스템 `PATH`를 사용하여 해석됩니다.
- 명령어를 찾을 수 없으면 경고가 표시됩니다.
