import ctypes


class SysLib(ctypes.CDLL):
    """
    SysLib: native interface collection for syscall and libc functions.
    Can be split into SyscallStub / LibcStub if needed.
    """
    def syscall_write(self, fd: int, buf: ctypes.c_char_p, count: int) -> int: ...
    def buffered_syscall_write(self, fd: int, buf: ctypes.c_char_p, count: int) -> int: ...
    def buffered_syscall_flush(self, fd: int) -> None: ...
    def syscall_exit(self, code: int) -> None: ...
    def strlen(self, s: ctypes.c_char_p) -> int: ...

def _get_lib() -> SysLib: ...
